<p-dataList [value]="dysks" [paginator]="true" [rows]="5"
            selectionMode="single">
  <p-header>
    Wybierz dysk
  </p-header>
  <ng-template let-dysk pTemplate="item">
    <div class="custom-table-row">
      <hr>
      <div class="ui-g ui-fluid dysk-item">
        <div class="ui-g-5 ui-md-3" style="text-align:center">
          <img *ngIf="dysk.image" [src]="dysk.image" alt="Logo" height="200" width="200">
        </div>
        <div class="ui-g-3 ui-md-7 dysk-details">
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Nazwa:</div>
            <div class="ui-g-3 ui-sm-2">{{dysk.nazwa}}</div>
            <div class="ui-g-3 ui-sm-2">Producent:</div>
            <div class="ui-g-3 ui-sm-2">{{dysk.producent}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Pojemnosc:</div>
            <div class="ui-g-3 ui-sm-2">{{dysk.pojemnosc}}</div>
            <div class="ui-g-3 ui-sm-2">Typ:</div>
            <div class="ui-g-3 ui-sm-2">{{dysk.typ}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Interfejs:</div>
            <div class="ui-g-3 ui-sm-2">{{dysk.interfejs}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Cena:</div>
            <div class="ui-g-3 ui-sm-2">{{dysk.cena}}</div>
          </div>
        </div>
      </div>
      <button type="button" pButton icon="fa-plus" label="Dodaj" (click)="onAddPrimaryClick(dysk)"></button>
      <hr>
    </div>
  </ng-template>
</p-dataList>
<p-growl [(value)]="msgs"></p-growl>
